#!/bin/bash

base=$(dirname $0)

echo Starting in $base

$base/../arm-softmmu/qemu-system-arm \
    -M z2 \
    -pflash zipit.flash \
    -sd zipit.sd \
    -show-cursor \
    -monitor telnet::5555,server,nowait \
    -serial null \
    -serial null \
    -serial null \
    -kernel uImage \
    -append "console=tty0 fbcon=rotate:3 root=/dev/mmcblk0 ro rootdelay=3" \
    -rotate 270 \
    $@
